using System;
using Server;

namespace Server.Items
{
	public class BladeOfTheRighteousRare : Longsword
	{
   		public bool m_Stealable;

		public override int LabelNumber{ get{ return 1061107; } } // Blade of the Righteous
		public override int ArtifactRarity{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public BladeOfTheRighteousRare()
		{
			Hue = 0x47E;
			// TODO: Daemon Slayer
			WeaponAttributes.HitLeechHits = 50;
			WeaponAttributes.UseBestSkill = 1;
			Attributes.BonusHits = 10;
			Attributes.WeaponDamage = 50;

			Identified = true;

         		m_Stealable=true;
			Movable = false;
		}

		public BladeOfTheRighteousRare( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
          		writer.Write( (bool) m_Stealable);
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
            		m_Stealable= reader.ReadBool();
		}
	}
}