using System;
using Server;

namespace Server.Items
{
	public class InquisitorsResolutionRare : PlateGloves
	{
   		public bool m_Stealable;

		public override int LabelNumber{ get{ return 1060206; } } // The Inquisitor's Resolution
		public override int ArtifactRarity{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public InquisitorsResolutionRare()
		{
			Hue = 0x4F2;
			Attributes.CastRecovery = 3;
			Attributes.LowerManaCost = 8;
			ArmorAttributes.MageArmor = 1;
			ColdBonus = 20;
			EnergyBonus = 15;

			Identified = true;

         		m_Stealable=true;
			Movable = false;
		}

		public InquisitorsResolutionRare( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
          		writer.Write( (bool) m_Stealable);
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
            		m_Stealable= reader.ReadBool();
		}
	}
}