using System;
using Server;

namespace Server.Items
{
	public class TitansHammerRare : WarHammer
	{
   		public bool m_Stealable;

		public override int LabelNumber{ get{ return 1060024; } } // Titan's Hammer
		public override int ArtifactRarity{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TitansHammerRare()
		{
			Hue = 0x482;
			WeaponAttributes.HitEnergyArea = 100;
			Attributes.BonusStr = 15;
			Attributes.AttackChance = 15;
			Attributes.WeaponDamage = 50;

			Identified = true;

         		m_Stealable=true;
			Movable = false;
		}

		public TitansHammerRare( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
          		writer.Write( (bool) m_Stealable);

		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
            		m_Stealable= reader.ReadBool();

		}
	}
}